- 1、本文档共11页,可阅读全部内容。
- 2、原创力文档(book118)网站文档一经付费(服务费),不意味着购买了该文档的版权,仅供个人/单位学习、研究之用,不得用于商业用途,未经授权,严禁复制、发行、汇编、翻译或者网络传播等,侵权必究。
- 3、本站所有内容均由合作方或网友上传,本站不对文档的完整性、权威性及其观点立场正确性做任何保证或承诺!文档内容仅供研究参考,付费前请自行鉴别。如您付费,意味着您自己接受本站规则且自行承担风险,本站不退款、不进行额外附加服务;查看《如何避免下载的几个坑》。如果您已付费下载过本站文档,您可以点击 这里二次下载。
- 4、如文档侵犯商业秘密、侵犯著作权、侵犯人身权等,请点击“版权申诉”(推荐),也可以打举报电话:400-050-0827(电话支持时间:9:00-18:30)。
查看更多
在abaqus中利用python语言建模例子
3.1?Creating a part
The first example shows how you can use an Abaqus/CAE script to replicate the functionality of Abaqus/CAE. The script does the following:
Creates a new model in the model database.
Creates a two-dimensional sketch.
Creates a three-dimensional, deformable part.
Extrudes the two-dimensional sketch to create the first geometric feature of the part.
Creates a new viewport.
Displays a shaded image of the new part in the new viewport.
The new viewport and the shaded part are shown in Figure 3–1.
Figure 3–1 The example creates a new viewport and a part.
The example scripts from this manual can be copied to the users working directory by using the Abaqus fetch utility:
abaqus fetch job=scriptName
where scriptName.py is the name of the script (see “Execution procedure for fetching sample input files,” Section 3.2.12 of the Abaqus Analysis Users Manual). Use the following command to retrieve the script for this example:
abaqus fetch job=modelAExample
Note:? Abaqus does not install the sample scripts by default during the installation procedure. As a result, if the Abaqus fetch utility fails to find the sample script, the script may be missing from your Abaqus installation. You must rerun the installation procedure and request Abaqus sample problems from the list of items to install.
To run the program, do the following:
Start Abaqus/CAE by typing abaqus cae.
From the startup screen, select Run Script.
From the Run Script dialog box that appears, select modelAExample.py.
Click OK to run the script.
Note:? If Abaqus/CAE is already running, you can run the script by selecting FileRun Script from the main menu bar.
3.1.1?The example script
modelAExample.py
A simple example: Creating a part.
from abaqus import *
import testUtils
testUtils.setBackwardCompatibility()
from abaqusConstants import *
import sketch
import part
myModel = mdb.Model(name=Model A)
mySketch = myModel.ConstrainedSketch(name=Sketch A, sheetSize=200.0)
xyCoordsInner = ((-5 , 20), (5,
您可能关注的文档
最近下载
- 电子数据取证技术PPT课件(共12章)第3章取证技术基础.pptx VIP
- 电子数据取证技术PPT课件(共12章)第2章电子数据取证规范.pptx VIP
- 北师大版三年级数学上册 (长方形周长)周长课件教学.pptx
- 23G518-1门式刚架轻型房屋钢结构(无吊车).docx
- 电子数据取证技术PPT课件(共12章)第5章UNIXLinux操作系统取证技术.pptx VIP
- 砥砺身心成就未来主题班会.pptx VIP
- 2024年《公文写作与处理》考试题库大全(含答案).pdf VIP
- 电子数据取证技术PPT课件(共12章)第9章网络取证技术.pptx VIP
- 建设银行笔试试题.docx
- 电子数据取证技术PPT课件(共12章)第4章Windows操作系统取证技术.pptx VIP
文档评论(0)